Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

eZQuestion Member List

This is the complete list of members for eZQuestion, including all inherited members.

$Content | eZQuestion |
$HasChoices | eZQuestion |
$ID | eZQuestion |
$Initial | eZQuestion |
$Length | eZQuestion |
$Position | eZQuestion |
$Public | eZQuestion |
$QuestionTypeID | eZQuestion |
$Required | eZQuestion |
$ResponseTable | eZQuestion |
$ResultID | eZQuestion |
$SurveyId | eZQuestion |
$SurveyID | eZQuestion |
$TABLE_BOOL | eZQuestion |
$TABLE_DATE | eZQuestion |
$TABLE_MULTIPLE | eZQuestion |
$TABLE_RANK | eZQuestion |
$TABLE_SINGLE | eZQuestion |
$TABLE_TEXT | eZQuestion |
$TYPE_CHECKBOX | eZQuestion |
$TYPE_DATE | eZQuestion |
$TYPE_DROPDOWN | eZQuestion |
$TYPE_NUMERIC | eZQuestion |
$TYPE_PAGEBREAK | eZQuestion |
$TYPE_RADIO | eZQuestion |
$TYPE_RATE | eZQuestion |
$TYPE_SECTIONTEXT | eZQuestion |
$TYPE_TEXTAREA | eZQuestion |
$TYPE_TEXTBOX | eZQuestion |
$TYPE_YESNO | eZQuestion |
__construct( $id="-1") | eZQuestion |
content() | eZQuestion |
copyQuestion( $surveyID) | eZQuestion |
delete() | eZQuestion |
get( $id="-1") | eZQuestion |
getAll( $OrderBy="ID", $SurveyID="", $LimitStart="None", $LimitBy="None") | eZQuestion | static
hasChoices() | eZQuestion |
hasDefault() | eZQuestion |
hasName() | eZQuestion |
hasRequired() | eZQuestion |
hasSize() | eZQuestion |
hasStats() | eZQuestion |
id() | eZQuestion |
initial() | eZQuestion |
isQuestion() | eZQuestion |
isRequired() | eZQuestion |
length() | eZQuestion |
moveDown() | eZQuestion |
moveUp() | eZQuestion |
numberOfQuestionsChoices() | eZQuestion |
position() | eZQuestion |
questionChoices( $OrderBy="ID") | eZQuestion |
questionDown() | eZQuestion |
questionNumber() | eZQuestion |
questionTypeID() | eZQuestion |
questionTypes() | eZQuestion | static
questionUp() | eZQuestion |
required() | eZQuestion |
responseTable() | eZQuestion |
resultID() | eZQuestion |
setContent( $value) | eZQuestion |
setInitial( $value) | eZQuestion |
setLength( $value) | eZQuestion |
setPosition( $value="") | eZQuestion |
setPublic( $value) | eZQuestion |
setQuestionTypeID( $value) | eZQuestion |
setRequired( $value) | eZQuestion |
setResultID( $value) | eZQuestion |
setSurveyID( $value) | eZQuestion |
stats() | eZQuestion |
store() | eZQuestion |
surveyId() | eZQuestion |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.